VTK: vtkColor3ub Class Reference

| VTK 9.0.1

Public Member Functions | List of all members
vtkColor3ub Class Reference

Some derived classes for the different colors commonly used. More...

`#include <vtkColor.h>`

Inheritance diagram for vtkColor3ub:
[legend]
Collaboration diagram for vtkColor3ub:
[legend]

## Public Member Functions
| vtkColor3ub ()
| vtkColor3ub (unsigned char scalar)
| vtkColor3ub (const unsigned char *init)
| vtkColor3ub (int hexSigned)
| Construct a color from a hexadecimal representation such as 0x0000FF (blue). More...
| vtkColor3ub (unsigned char r, unsigned char g, unsigned char b)
Public Member Functions inherited from vtkColor3< unsigned char >
| vtkColor3 ()
| vtkColor3 (const unsigned char &scalar)
| vtkColor3 (const unsigned char *init)
| vtkColor3 (const unsigned char &red, const unsigned char &green, const unsigned char &blue)
void | Set (const unsigned char &red, const unsigned char &green, const unsigned char &blue)
| Set the red, green and blue components of the color. More...
void | SetRed (const unsigned char &red)
| Set the red component of the color, i.e. More...
const unsigned char & | GetRed () const
| Get the red component of the color, i.e. More...
void | SetGreen (const unsigned char &green)
| Set the green component of the color, i.e. More...
const unsigned char & | GetGreen () const
| Get the green component of the color, i.e. More...
void | SetBlue (const unsigned char &blue)
| Set the blue component of the color, i.e. More...
const unsigned char & | GetBlue () const
| Get the blue component of the color, i.e. More...
Public Member Functions inherited from vtkTuple< unsigned char, 3 >
| vtkTuple ()
| The default constructor does not initialize values. More...
| vtkTuple (const unsigned char &scalar)
| Initialize all of the tuple's elements with the supplied scalar. More...
| vtkTuple (const unsigned char *init)
| Initialize the tuple's elements with the elements of the supplied array. More...
int | GetSize () const
| Get the size of the tuple. More...
unsigned char * | GetData ()
| Get a pointer to the underlying data of the tuple. More...
const unsigned char * | GetData () const
unsigned char & | operator[] (int i)
| Get a reference to the underlying data element of the tuple. More...
const unsigned char & | operator[] (int i) const
unsigned char | operator() (int i) const
| Get the value of the tuple at the index specified. More...
bool | Compare (const vtkTuple< unsigned char, Size > &other, const unsigned char &tol) const
| Equality operator with a tolerance to allow fuzzy comparisons. More...
vtkTuple< TR, Size > | Cast () const
| Cast the tuple to the specified type, returning the result. More...

## Additional Inherited Members
Protected Attributes inherited from vtkTuple< unsigned char, 3 >
unsigned char | Data [Size]
| The only thing stored in memory! More...

## Detailed Description

Some derived classes for the different colors commonly used.

Definition at line 194 of file vtkColor.h.

## Constructor & Destructor Documentation

## ◆ vtkColor3ub() [1/5]

vtkColor3ub::vtkColor3ub | ( |  | ) |
| inline

Definition at line 197 of file vtkColor.h.

## ◆ vtkColor3ub() [2/5]

vtkColor3ub::vtkColor3ub | ( | unsigned char | scalar | ) |
| inlineexplicit

Definition at line 198 of file vtkColor.h.

## ◆ vtkColor3ub() [3/5]

vtkColor3ub::vtkColor3ub | ( | const unsigned char * | init | ) |
| inlineexplicit

Definition at line 202 of file vtkColor.h.

## ◆ vtkColor3ub() [4/5]

vtkColor3ub::vtkColor3ub | ( | int | hexSigned | ) |
| inlineexplicit

Construct a color from a hexadecimal representation such as 0x0000FF (blue).

Definition at line 211 of file vtkColor.h.

## ◆ vtkColor3ub() [5/5]

vtkColor3ub::vtkColor3ub | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b
| ) |  |
| inline

Definition at line 222 of file vtkColor.h.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkColor.h